Subject: Randall

From: [email-masked] (Mike Coonrod)
Date: Mon, 3 Oct 1994 19:35:36 GMT

Here are the answers to your Randall questions:

1.  Randalls have the reputation because they are functional not pretty.

2.  Carbon steel holds an edge longer and is easier to sharpen.  Stainless
    is more brittle but it dosent rust.  I like the Carbon and Ive owned both.

3.  Randall handles run a little narrow so they fit my small/med hands real
    well.

4.  Brass corrodes.  This is good and bad.  When It's tarnished, its not 
    shiney like nickle silver.  Unless you are a commando and need everything
    subdued, I would go with the Nickle silver.

5.  Sawteeh are a mess to clean after you have cleaned a fish or skinned a 
    deer.  They are NOT wood saw teeth on the Randall.  They are saw teeth
    made to saw through the aluminum skin of an aircraft and will not saw
    wood very well.  You would be better served by not getting the saw teeth.
    They do look cool.